<?php

class Shopware_Plugins_Frontend_rvdwCategoriesLeftOnDetail_Bootstrap extends Shopware_Components_Plugin_Bootstrap{


    public function getCapabilities(){
        return array(
            "install" => true,
            "update" => true,
            "enable" => true

        );
    }
    public function getLabel(){
            return "Categories Left On Detail";
        }

    public function getVersion(){
            return "2.0.0";
        }
    public function getInfo(){
            return array(
                "version" => $this->getVersion(),
                "label" => $this->getLabel(),
                "supplier" => "7synth",
                "description" => "This Plugin will show the left category tree on details page.",
                "support" => "info@7synth.com",
                "link" => "http://7synth.com",
                "author" => "R.v.d.Waydbrink",
                "copyright" => "2016 R.v.d.Waydbrink",
                "license" => "by request"
            );
        }
    public function install(){
        $this->registerEvents();
        return array(
                "success" => true,
                "invalidateCache" => array("frontend")
            );
        }
    public function uninstall(){
            return array(
                "success" => true,
                "invalidateCache" => array("frontend")
            );
        }
    private function registerEvents(){
            $this->subscribeEvent(
                'Theme_Compiler_Collect_Plugin_Less',
                'addLessFiles'
            );

        }

    /**
     *
     * @param Enlight_Event_EventArgs $args
     * @return \Doctrine\Common\Collections\ArrayCollection
    */
    public function addLessFiles(Enlight_Event_EventArgs $args)
    {
        $less = new \Shopware\Components\Theme\LessDefinition(
        /* Configuration */
           array(),
            /* Less files to compile */
            array(__DIR__ . '/Views/responsive/frontend/_public/src/less/all.less'),
            /* Import directory */
            __DIR__
        );

        return new Doctrine\Common\Collections\ArrayCollection(array($less));
    }
}